/**
  *  \file tests.h
  */
#ifndef CPLUSLIB_TESTS_H
#define CPLUSLIB_TESTS_H

#include "cxxtest/TestSuite.h"

class TestArray : public CxxTest::TestSuite {
 public:
    void testArray();
};

class TestBitOps : public CxxTest::TestSuite {
 public:
    void testShifts();
    void testPower();
    void testFlip();
};

class TestCall : public CxxTest::TestSuite {
 public:
    void testCall();
};

class TestFixedList : public CxxTest::TestSuite {
 public:
    void testFixedList();
};

class TestFixedVector : public CxxTest::TestSuite {
 public:
    void testFixedVector();
};

class TestFormat : public CxxTest::TestSuite {
 public:
    void testConv();
    void testInt();
    void testFP();
};

class TestIterator : public CxxTest::TestSuite {
 public:
    void testPointerIterator();
    void testMemberIterator();
};

class TestMaybe : public CxxTest::TestSuite {
 public:
    void test1();
};

class TestPtrVector : public CxxTest::TestSuite {
 public:
    void test1();
};

class TestSigSlot : public CxxTest::TestSuite {
 public:
    void testFirst();
    void testSecond();
    void testSigDies();
    void testFirstArg();
    void testSecondArg();
    void testSigDiesArg();
    void testMulti();
    void testMultiRec();
};

class TestSmallSet : public CxxTest::TestSuite {
 public:
    void testIt();
};

class TestStringT : public CxxTest::TestSuite {
 public:
    void testInit();
    void testMisc();
    void testAppend();
    void testEraseReplace();
    void testFind();
};

#endif
